# FdoICreateSpatialContext Class Reference

`#include <ICreateSpatialContext.h>`

Inheritance diagram for FdoICreateSpatialContext:

[legend]

List of all members.

## Detailed Description

The FdoICreateSpatialContext interface defines the CreateSpatialContext command, which creates a new spatial context. Input to the command includes the name, description, coordinate system, extent type, and extent for the new context. Command execution will fail if the context already exists, or if the coordinate system or extent type is not supported by the provider.

Note:
  The geographic extent of a coordinate system should generally be defined as an envelope (or bounding box). However, any geometry type that falls into the surface geometric types can be used (e.g., polygons). If a non-rectangular area is passed in and the provider supports only a rectangular extent, the provider will compute the minimum box that encloses the given geometry and use that for the extent value.

Definition at line 45 of file ICreateSpatialContext.h.

## Public Member Functions
virtual FDO_API void | Execute ()=0
| Executes the CreateSpatialContext command. An exception is thrown if the spatial context already exists, or if the coordinate system or extent type is not supported by the provider.
virtual FDO_API FdoString * | GetCoordinateSystem ()=0
| Gets the coordinate system name as a string.
virtual FDO_API FdoString * | GetCoordinateSystemWkt ()=0
| Gets the coordinate system definition in OGC SRS WKT format for the spatial context currently being created. If the result is an empty string, the coordinate system WKT description has not been set.
virtual FDO_API FdoString * | GetDescription ()=0
| Gets the description of the context to create as a string.
virtual FDO_API FdoByteArray * | GetExtent ()=0
| Gets the extent of the context to create as a byte array in FGF format. If the extent type is dynamic, any value specified via this function is ignored.
virtual FDO_API FdoSpatialContextExtentType | GetExtentType ()=0
| Gets the desired extent type of the context to create, either static or dynamic.
virtual FDO_API FdoString * | GetName ()=0
| Gets the name of the context to create as a string.
virtual FDO_API const bool | GetUpdateExisting ()=0
| Gets a Boolean flag that indicates how the CreateSpatialContext command should behave if the spatial context already exists. If update existing is true and a spatial context with the specified name already exists then it will be updated. If update existing is false and a spatial context with the specified name already exists, command execution will fail.
virtual FDO_API const double | GetXYTolerance ()=0
| Gets the tolerance value to use for X/Y ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API const double | GetZTolerance ()=0
| Gets the tolerance value to use for Z ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API void | SetCoordinateSystem (FdoString *value)=0
| Sets the coordinate system name as a string.
virtual FDO_API void | SetCoordinateSystemWkt (FdoString *value)=0
| Sets the coordinate system definition in OGC SRS WKT format for the spatial context currently being created.
virtual FDO_API void | SetDescription (FdoString *value)=0
| Sets the description of the context to create as a string.
virtual FDO_API void | SetExtent (FdoByteArray *value)=0
| Sets the extent of the context to create as a byte array in FGF format. If the extent type is dynamic this is optional and any value specified is ignored.
virtual FDO_API void | SetExtentType (FdoSpatialContextExtentType value)=0
| Sets the desired extent type of the context to create, either static or dynamic.
virtual FDO_API void | SetName (FdoString *value)=0
| Sets the name of the context to create as a string.
virtual FDO_API void | SetUpdateExisting (const bool value)=0
| Sets a Boolean flag that indicates how the CreateSpatialContext command should behave if the spatial context already exists. If update existing is true and a spatial context with the specified name already exists then it will be updated. If update existing is false and a spatial context with the specified name already exists, command execution will fail.
virtual FDO_API void | SetXYTolerance (const double value)=0
| Sets the tolerance value to use for X/Y ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API void | SetZTolerance (const double value)=0
| Sets the tolerance value to use for Z ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- ICreateSpatialContext.h